Bug 17518 - Displayed language name for Czech is wrong
Summary: Displayed language name for Czech is wrong
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-28 19:12 UTC by Josef Moravec
Modified: 2016-11-08 10:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17518: Displayed language name for Czech is wrong (2.40 KB, patch)
2016-10-28 19:19 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17518: Displayed language name for Czech is wrong (1.74 KB, patch)
2016-10-28 21:17 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17518: Displayed language name for Czech is wrong (1.76 KB, patch)
2016-10-28 21:18 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17518: Displayed language name for Czech is wrong (1.81 KB, patch)
2016-10-28 23:26 UTC, Radek Šiman (R-Bit Technology, s.r.o.)
Details | Diff | Splinter Review
Bug 17518: Displayed language name for Czech is wrong (1.87 KB, patch)
2016-11-01 11:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2016-10-28 19:12:55 UTC
It's "Ceština" and should be "Čeština"
Comment 1 Josef Moravec 2016-10-28 19:19:35 UTC
Created attachment 56966 [details] [review]
Bug 17518: Displayed language name for Czech is wrong

It's "Ceština" and should be "Čeština"

Test plan:
1) apply the patch
2) install Czech translation for Koha
3) note the language name in language switcher (in staff client and
    opac) is right: "Čeština"
Comment 2 Josef Moravec 2016-10-28 21:17:06 UTC
Created attachment 56969 [details] [review]
Bug 17518: Displayed language name for Czech is wrong

It's "Ceština" and should be "Čeština"

Test plan:
1) apply the patch
2) install Czech translation for Koha
3) note the language name in language switcher (in staff client and
    opac) is right: "Čeština"
Comment 3 Josef Moravec 2016-10-28 21:18:18 UTC
Created attachment 56970 [details] [review]
Bug 17518: Displayed language name for Czech is wrong

It's "Ceština" and should be "Čeština"

Test plan:
1) apply the patch
1.1) update database
2) install Czech translation for Koha
3) note the language name in language switcher (in staff client and
    opac) is right: "Čeština"
Comment 4 Radek Šiman (R-Bit Technology, s.r.o.) 2016-10-28 21:51:08 UTC
Hi Josef,
I applied your patch and run:
$ sudo koha-shell kohadev
$ perl ./installer/data/mysql/updatedatabase.pl 
DEV atomic update: bug_17518.sql
$ debian/scripts/koha-translate --install cs-CZ
$ debian/scripts/koha-translate --list
cs-CZ

Unfortunately, theere's "Ceština" only:
http://prntscr.com/d08sog
Comment 5 Radek Šiman (R-Bit Technology, s.r.o.) 2016-10-28 23:19:01 UTC
Sorry for my fault. Problem was in my wrong koha-shell. Continuing the sign-off process.
Comment 6 Radek Šiman (R-Bit Technology, s.r.o.) 2016-10-28 23:26:05 UTC
Created attachment 56971 [details] [review]
Bug 17518: Displayed language name for Czech is wrong

It's "Ceština" and should be "Čeština"

Test plan:
1) apply the patch
1.1) update database
2) install Czech translation for Koha
3) note the language name in language switcher (in staff client and
    opac) is right: "Čeština"

Signed-off-by: radiuscz <radek.siman@centrum.cz>
Comment 7 Jonathan Druart 2016-11-01 11:30:23 UTC
Created attachment 57023 [details] [review]
Bug 17518: Displayed language name for Czech is wrong

It's "Ceština" and should be "Čeština"

Test plan:
1) apply the patch
1.1) update database
2) install Czech translation for Koha
3) note the language name in language switcher (in staff client and
    opac) is right: "Čeština"

Signed-off-by: radiuscz <radek.siman@centrum.cz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Kyle M Hall 2016-11-02 11:02:52 UTC
Pushed to master for 16.11, thanks Josef!
Comment 9 Frédéric Demians 2016-11-02 18:42:28 UTC
Pushed in 16.05. Will be in 16.05.06.
Comment 10 Julian Maurice 2016-11-08 10:35:03 UTC
Pushed to 3.22.x, will be in 3.22.13